Bug 14387 - Merge reference selection has no effect when merging authorities.
Summary: Merge reference selection has no effect when merging authorities.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Maxime Beaulieu
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-15 15:04 UTC by Maxime Beaulieu
Modified: 2016-12-05 21:22 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14387 - Merge reference selection has no effect when merging authorities. (1.41 KB, patch)
2015-06-15 15:12 UTC, Maxime Beaulieu
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14387 - Merge reference selection has no effect when merging authorities. (1.47 KB, patch)
2015-06-26 19:57 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14387 - Merge reference selection has no effect when merging authorities. (1.53 KB, patch)
2015-07-09 11:03 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Maxime Beaulieu 2015-06-15 15:04:07 UTC
When merging authority records, the merge reference is always set to the first selected record.

How to reproduce:
0 Create authorities/reindex if necessary.
1 Search for authorities
2 Click merge on two entries (Keep note of the CLICK order 1&2)
3 Select the second authority (authority 2) as merge reference
4 In the following page:
    The authid in the tabs are correct.
    The record data is wrong. First tab is authority 1, second is authority 2.
    The resulting record is generated using authority 1 as reference.

A patch will follow.
Comment 1 Maxime Beaulieu 2015-06-15 15:12:04 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-06-26 19:57:13 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-07-09 11:03:38 UTC
Created attachment 40875 [details] [review]
Bug 14387 - Merge reference selection has no effect when merging authorities.

This patch swaps the authority records according to the refenrece record selection.

To TEST:
Merge two authority records, select the second as merge reference.
The reference authority is always the first.

Apply the patch.
Repeat previous steps, the authority is now merged using the selected reference record.

	modified:   authorities/merge.pl

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-07-24 17:11:31 UTC
Patch pushed to master.

Thanks Maxime!
Comment 5 Chris Cormack 2015-08-10 21:01:16 UTC
Pushed to 3.20.x will be in 3.20.3
Comment 6 Liz Rea 2015-08-11 02:02:27 UTC
Pushed to 3.18.x, will be in 3.18.10.
Comment 7 Mason James 2015-08-28 06:03:39 UTC
Pushed to 3.16.x, will be in 3.16.14